Subject: [sipcore] When Does RTP should start flowing after 18x or 200OK/ACK

From: Ambrish Kumar <[email-masked]>
Date: Fri, 29 May 2015 21:41:11 +0530

Dear Team,

I  am working on Lawful interception and integrating  our IMS nodes (SBC)
with LEA. We have got a very unusual ask form IB/RAW where they want to
listen the RTP flow before call is actually answered by “B”

We need your help and confirmation from any RFC which clarifies when does
Media should start flowing in network :
1. Is it possible RTP media should start flowing right after offer-answer
model is completed say after 18x response?

2. Or RTP Media should start flowing after 200 OK ACK response.

I   know most of implementation start pushing media after 200 OK ACK. But
does standard mandates to start flow TWO WAY RTP right after offer-answer
model is completed.

Regards,
Ambrish

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 29 May 2015 18:17:08 -0400

Ambrish,

You sent this to sip-implementors (the proper place for such a query). 
And I replied to you there. Sending it to sipcore is/was not appropriate 
for questions like this, and is annoying to the people on the sipcore 
list (since most of them are probably on sip-implementors too.)

	Thanks,
	Paul

On 5/29/15 12:11 PM, Ambrish Kumar wrote:
> Dear Team,
>
> I  am working on Lawful interception and integrating  our IMS nodes
> (SBC) with LEA. We have got a very unusual ask form IB/RAW where they
> want to listen the RTP flow before call is actually answered by “B”
>
> We need your help and confirmation from any RFC which clarifies when
> does Media should start flowing in network :
> 1. Is it possible RTP media should start flowing right after
> offer-answer model is completed say after 18x response?
>
> I   know most of implementation start pushing media after 200 OK ACK.
> But does standard mandates to start flow TWO WAY RTP right after
> offer-answer model is completed.
>
> Regards,
> Ambrish
>
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>